aboutsummaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh29
1 files changed, 18 insertions, 11 deletions
diff --git a/deploy.sh b/deploy.sh
index 8a6edba..b1f9ebd 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -3,28 +3,35 @@
set -e
# do not change this, it is already matched with the git repo file structure
-DOCKER_FILE_DIR="./docker_files"
+DOCKER_FILE_DIR='./docker_files'
+
+KAFKA_VERSION='0.8.1.1'
+SCALA_VERSION='2.9.2'
+wget -q "http://www.namesdir.com/mirrors/apache/kafka/${KAFKA_VERSION}/kafka_${SCALA_VERSION}-${KAFKA_VERSION}.tgz" \
+ -O "./docker_files/kafka_${SCALA_VERSION}-${KAFKA_VERSION}.tgz"
# commands to run docker and docker-compose
-DOCKER_COMPOSE_EXE="/opt/docker/docker-compose"
-DOCKER_EXE="docker"
+DOCKER_COMPOSE_EXE='/opt/docker/docker-compose'
+cd "${DOCKER_FILE_DIR}"
-cd ${DOCKER_FILE_DIR}
+while ! ifconfig |grep "docker0" > /dev/null;
+ do sleep 1
+ echo 'waiting for docker operational'
+done
echo "prep any files with local configurations"
-if ls __* 1> /dev/null 2>&1; then
- IP_DOCKER0=`ifconfig docker0 |grep "inet addr" | cut -d: -f2 |cut -d" " -f1`
- TEMPLATES=`ls -1 __*`
+if ls __* 1> /dev/null 2>&1; then
+ IP_DOCKER0=$(ifconfig docker0 |grep "inet addr" | cut -d: -f2 |cut -d" " -f1)
+ TEMPLATES=$(ls -1 __*)
for TEMPLATE in $TEMPLATES
- do
+ do
FILENAME=${TEMPLATE//_}
- if [ ! -z ${IP_DOCKER0} ]; then
- sed -e "s/{{ ip.docker0 }}/${IP_DOCKER0}/" $TEMPLATE > $FILENAME
+ if [ ! -z "${IP_DOCKER0}" ]; then
+ sed -e "s/{{ ip.docker0 }}/${IP_DOCKER0}/" "$TEMPLATE" > "$FILENAME"
fi
done
fi
echo "starting docker operations"
-#${DOCKER_EXE} login --username=${DOCKER_REGISTRY_USERNAME} --password=${DOCKER_REGISTRY_PASSWORD} ${DOCKER_REGISTRY}
${DOCKER_COMPOSE_EXE} up -d